Artha API
  1. Products
  • Introduction
  • Authentication
  • KYC/KYB Requirements
  • API Setup Guide
  • Customers
    • Create Customer
      POST
    • List Customers
      GET
    • Get Customer
      GET
    • Update Customer
      PATCH
  • Cards
    • Submit KYC/KYB Applicant
      POST
    • Issue Card
      POST
    • Cards List
      GET
    • Get Card
      GET
    • Get Sensitive Card Details
      GET
  • Card Operations
    • Activate Card
      POST
    • Freeze Card
      POST
    • Unfreeze Card
      POST
    • Cancel Card
      POST
    • Replace Card
      POST
    • Set / Reset Card PIN
      POST
    • Get Card Limits
      GET
    • Update Card Limits
      POST
  • Funding
    • Top Up Card
      POST
    • Get Card Balance
      GET
    • List Top-Up History
      GET
  • Transactions
    • List All Transactions
    • List Card Transactions
    • List Customer Transactions
    • Get Transaction
  • Products
    • List Products
      GET
    • Get Product
      GET
  • Utilities
    • Upload Documents
  • Webhook's
    • Webhooks
  1. Products

List Products

GET
/baseurl/api/v1/Products
Returns available card products.

Request

Query Params

Header Params

Responses

🟢200
application/json
Products retrieved.
Body

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/baseurl/api/v1/Products?limit&offset' \
--header 'X-API-Key;' \
--header 'X-Signature;' \
--header 'X-Timestamp;' \
--header 'X-Nonce;' \
--header 'X-Body-Hash;'
Response Response Example
{
    "data": [
        {
            "productId": "999a47bf-5c73-4a93-9827-0182f075355d",
            "name": "PREMIUM BANKING CARD",
            "organization": "Master",
            "type": "Virtual",
            "country": null,
            "bin": "632",
            "currency": "USDT",
            "status": "Active",
            "allowMultipleCards": true,
            "kycRequired": true,
            "applicableFor": "personal,business",
            "category": "Debit",
            "description": null,
            "fundingSource": null,
            "managedType": null,
            "reviewTime": "Within 24 hours",
            "envelopeRequired": false,
            "fees": null,
            "limits": null,
            "recharge": null,
            "deposit": null,
            "operations": null,
            "supportedPlatforms": [
                "Amazon",
                "Alipay",
                "Shopee",
                "ApplePay"
            ],
            "kycRequirements": [
                {
                    "accountType": "Personal",
                    "requirements": [
                        "FullName",
                        "Comms",
                        "FullAddress",
                        "Passport",
                        "Face",
                        "IssueDate",
                        "IpAddress"
                    ]
                },
                {
                    "accountType": "Business",
                    "requirements": [
                        "Companyinformation",
                        "CompanyDocuments",
                        "CompanyAddress",
                        "Representatives",
                        "RepresentativeAddress",
                        "RepresentativeIdentification",
                        "RepresentativeSelfie",
                        "Ubo",
                        "UboSelfie",
                        "UboAddress",
                        "UboIdentification",
                        "Personalinformation"
                    ]
                }
            ],
            "metadata": {
                "PhysicalCardActivate": [
                    {
                        "field": "CardLastFourDigits",
                        "label": "Card Last 4 Digits",
                        "isMandatory": "true",
                        "validation": "^[0-9]{4}$",
                        "fieldType": "string",
                        "maxLength": "4"
                    },
                    {
                        "field": "ExpiryDate",
                        "label": "Expiry Date (MM/YY)",
                        "isMandatory": "true",
                        "validation": "^(0[1-9]|1[0-2])\\/([0-9]{2})$",
                        "fieldType": "string",
                        "maxLength": "5"
                    }
                ],
                "SetPinFlow": "API",
                "CardViewFlow": "API",
                "CardApproveType": "ServiceBus"
            }
        }
    ],
    "pagination": {
        "total": 1,
        "limit": 20,
        "offset": 0,
        "hasMore": false
    }
}
Modified at 2026-03-31 04:36:26
Previous
Get Transaction
Next
Get Product
Built with